SymetryML Documentation
Streams

Delete stream

Stop (if currently running) and permanently detach/delete a `kafka`/`nats` Data Source from a project. If the consumer task is already stopped, this still cleans up the stream's persisted position marker.

DELETE
/{user}/projects/{project}/streams/{dsName}

Stop (if currently running) and permanently detach/delete a kafka/nats Data Source from a project. If the consumer task is already stopped, this still cleans up the stream's persisted position marker.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

project*string

Project identifier

dsName*string

Data source name

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/c1/projects/nbra_prj_iris/streams/nbra_ds_sftp_iris"
{  "statusCode": 200,  "statusString": "OK",  "values": {}}
{  "statusCode": 400,  "statusString": "Customer [c1]: no SML [nosuchprj]",  "values": {}}
{  "statusCode": 500,  "statusString": "Generic Exception [java.lang.NullPointerException: Cannot invoke \"com.rtlm.json.DSInfo.getType()\" because \"sinfo\" is null]",  "values": {}}